## kiwix-0.9-alpha6-src.tar.bz2

=== src/dependences/Makefile ===
# Makefile.in generated by automake 1.10.1 from Makefile.am.
# src/dependences/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/kiwix
pkglibdir = $(libdir)/kiwix
pkgincludedir = $(includedir)/kiwix
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = src/dependences
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/zimlib/src/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/kiwix/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/kiwix/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/kiwix/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/kiwix/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/kiwix/missing --run automake-1.10
AWK = mawk
BINDIST_INTRO_MESSAGE = echo You have to run configure with the '--without-dependences' argument.
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O6
CPP = gcc -E
CPPFLAGS = -I/usr/lib
CURRENT_PATH = /tmp/kiwix
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -O6
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DEPENDENCES = 
DSYMUTIL = 
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ESCAPED_PREFIX = 
EXEEXT = 
F77 = 
FFLAGS = 
GECKO_IDL_PATH = /usr/share/idl/xulrunner-1.9.0.19/stable
GREP = /bin/grep
HAVE_CL = 
HAVE_CXX = g++
HAVE_PERL = perl
HAVE_PKG_CONFIG = pkg-config
HAVE_WGET = 
HAVE_XAPIAN_CONFIG = xapian-config
HAVE_XPIDL = xpidl
ICU_CONFIG = /usr/local/bin/icu-config
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBBZ2_CFLAGS = 
LIBBZ2_LDFLAGS =  -lbz2
LIBCLUCENE_CFLAGS = 
LIBCLUCENE_LDFLAGS = 
LIBICU_CFLAGS = -g -O2 -W -Wall -ansi -pedantic -Wpointer-arith -Wwrite-strings -Wno-long-long   
LIBICU_LDFLAGS =  -lpthread -ldl -lm   -L/usr/local/lib -licui18n -licuuc -licudata  -lpthread -ldl -lm   
LIBLZMA_CFLAGS = 
LIBLZMA_LDFLAGS =  -llzma
LIBMICROHTTPD_CFLAGS = 
LIBMICROHTTPD_LDFLAGS =  -lmicrohttpd
LIBOBJS = 
LIBS = -llzma -lmicrohttpd -lbz2 -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBXAPIAN_CFLAGS = 
LIBXAPIAN_LDFLAGS = -lxapian
LIBXUL_CFLAGS = -fshort-wchar -I/usr/include/xulrunner-1.9.0.19/stable -I/usr/include/nspr  
LIBXUL_LDFLAGS = -L/usr/lib/xulrunner-devel-1.9.0.19/lib -lxpcomglue_s -lxul -lxpcom -lplds4 -lplc4 -lnspr4 -lpthread -ldl  
LIBZIM_CFLAGS = -I/tmp/kiwix/src/zimlib/include
LIBZIM_LDFLAGS =  -lz  -llzma  -lbz2
LIBZ_CFLAGS = 
LIBZ_LDFLAGS =  -lz
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/kiwix/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NMEDIT = 
OBJEXT = o
PACKAGE = kiwix
PACKAGE_BUGREPORT = 
PACKAGE_NAME = kiwix
PACKAGE_STRING = kiwix 0.9
PACKAGE_TARNAME = kiwix
PACKAGE_VERSION = 0.9
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 0.9
XPCOM_CFLAGS = -fno-rtti -D_POSIX_ -fPIC
XPCOM_LDFLAGS = -Xcompiler -shared -Wl,-rpath-link,/usr/lib/xulrunner-devel-1.9.0.19/bin
XPIDL = /usr/lib/xulrunner-devel-1.9.0.19/bin/xpidl
abs_builddir = /tmp/kiwix/src/dependences
abs_srcdir = /tmp/kiwix/src/dependences
abs_top_builddir = /tmp/kiwix
abs_top_srcdir = /tmp/kiwix
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /tmp/kiwix/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_builddir = ../..
top_srcdir = ../..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/dependences/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  src/dependences/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean-am: clean-generic clean-libtool mostlyclean-am

distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


# download
zlib.tar.gz:
	wget -c http://download.kiwix.org/dev/zlib-1.2.3.tar.gz -O zlib.tar.gz
	tar -xvzf zlib.tar.gz

bzip2.tar.gz:
	wget -c http://download.kiwix.org/dev/bzip2-1.0.5.tar.gz -O bzip2.tar.gz
	tar -xvzf bzip2.tar.gz

xapian-core.tar.gz:
	wget -c http://download.kiwix.org/dev/xapian-core-1.2.2.tar.gz -O xapian-core.tar.gz
	tar -xvzf xapian-core.tar.gz

xapian-win32.zip:
	wget -c http://download.kiwix.org/dev/xapian-1.2.2-win32.zip -O xapian-win32.zip
	unzip xapian-win32.zip
	mv win32 ./xapian-core-1.2.2/

icu.zip:
	wget -c http://download.kiwix.org/dev/icu4c-4_4-Win32-msvc9.zip -O icu.zip
	unzip icu.zip

xulrunner-sdk-linux.tar.bz2:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.1.4.en-US.linux-i686.sdk.tar.bz2 -O xulrunner-sdk-linux.tar.bz2
	tar -xvjf xulrunner-sdk-linux.tar.bz2

xulrunner-sdk-win.zip:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.en-US.win32.sdk.zip -O xulrunner-sdk-win.zip
	unzip xulrunner-sdk-win.zip

xulrunner-win.zip:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.en-US.win32.zip -O xulrunner-win.zip
	unzip xulrunner-win.zip

xulrunner-source.tar.bz2:
	wget -c http://download.kiwix.org/dev/xulrunner-1.9.2.source.tar.bz2 -O xulrunner-source.tar.bz2
	tar -xvjf xulrunner-source.tar.bz2

xz.tar.bz2:
	wget -c http://download.kiwix.org/dev/xz-4.999.9beta.tar.bz2 -O xz.tar.bz2
	tar -xvjf xz.tar.bz2

# compile
bzip2-1.0.5/libbz2.a: bzip2.tar.gz
	cd bzip2-1.0.5 ; sed -i "s/CFLAGS=/CFLAGS=-fPIC /" Makefile ; make ; make Makefile-libbz2_so

bzip2-1.0.5/libbz2.lib: bzip2.tar.gz
	cd bzip2-1.0.5 ; sed -e "s/\\-MD/\\-MT/" makefile.msc > makefile.msc.custom ; export MAKEFLAGS=; nmake.exe -f makefile.msc.custom

zlib-1.2.3/libz.a: zlib.tar.gz
	cd zlib-1.2.3 ; export CFLAGS=" -fPIC " ; ./configure ; make ; ./configure ; make	

zlib-1.2.3/zlib.lib: zlib.tar.gz
	cd zlib-1.2.3 ; cp ./win32/Makefile.msc ./ ; sed -e "s/\\-MD/\\-MT/" Makefile.msc > Makefile.msc.custom ; export MAKEFLAGS=; nmake.exe -f Makefile.msc.custom

xapian-core-1.2.2/.libs/libxapian.a: xapian-core.tar.gz

=== debian/changelog ===
kiwix (0.9-alpha5.1) lucid; urgency=low

  * Fix a bug in the debian/posrtrm script (ID: 3035092)

 -- Emmanuel Engelhart <kelson@kiwix.org> Mon, 27 Jul 2010 11:44:00 +0200

kiwix (0.9-alpha5) lucid; urgency=low

  * Fix a regression bug impacting the case insensitive (first character only) suggestion
  * Fix a bug in kiwix-serve impacting search results with titles including (non-escaped) special characters
  * Add the --versbose|-v to kiwix-index
  * Add a stub HTML header&footer in case of the article do not have a <body> (ID: 3030608)
  * Fix a bug in the ./configure libicu version checking (ID: 3034150)

 -- Emmanuel Engelhart <kelson@kiwix.org> Mon, 26 Jul 2010 21:39:00 +0200

kiwix (0.9-3) lucid; urgency=low

  * Fix Build-Depends.

 -- Jorge Gonzalez <jag2kn@gmail.com>  Mon, 19 Jul 2010 16:00:00 -0500

kiwix (0.9-2) lucid; urgency=low

  * Initial ppa.

 -- Jorge Gonzalez <jag2kn@gmail.com>  Mon, 19 Jul 2010 14:05:00 -0500

kiwix (0.9-1) unstable; urgency=low

  * Initial release.

 -- Emmanuel Engelhart <kelson@kiwix.org>  Sat, 28 Nov 2009 17:18:10 +0100

=== debian/control ===
Source: kiwix
Section: misc
Priority: optional
Maintainer: Jorge Gonzalez <jag2kn@gmail.com>
Build-Depends: binutils,
	debhelper,
	g++,
	libxapian-dev,
	libbz2-dev,
	libicu-dev,
	liblzma-dev,
	xulrunner-1.9.2-dev,
	m4,
	zlib1g-dev,
	libmicrohttpd-dev,
	libtool,
	python-support
Standards-Version: 0.9
Homepage: http://www.kiwix.org/

Package: kiwix
Architecture: any
Depends: debianutils, 
	 ${shlibs:Depends}, 
	 ${misc:Depends},
	 libicu42,
	 libxapian15,
	 xapian-tools,
	 xulrunner-1.9.2,
 	 zlib1g,
	 libbz2-1.0,
	 liblzma1,
	 libmicrohttpd5
Recommends: 
Suggests: 
Conflicts: 
Replaces: 
Provides: 
Section: misc
Description: Wikipedia offline reader
  Kiwix allows you to read and search through offline content
  as they were online. Similar to a browser, Kiwix works with
  the highly compressed ZIM file format.
  .
  Features:
  * Pure ZIM file reader
  * Case and diacritics insensitve full text search engine
  * Bookmarks & Notes
  * ZIM base HTTP server
  * PDF/HTML export
  * Localized
  * Search suggestions
  * ZIM file Index capacity
  * Tabs navigation

=== debian/rules ===
#!/usr/bin/make -f

config.status: configure
	dh_testdir
	if [ -e ./autogen.sh ] ; then ./autogen.sh ; fi
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: config.status 
	dh_testdir
	$(MAKE)
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	if [ -e Makefile ] ; then $(MAKE) distclean ; fi

install: build
	dh_testdir
	dh_testroot
#	dh_prep  
	dh_installdirs

	# Add here commands to install the package into debian/kiwix.
	$(MAKE) DESTDIR=$(CURDIR)/debian/kiwix install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_pysupport
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
